# sb::Data::Config
# == Author(s) : Takuya Otani <takuya.otani@gmail.com> ==
# == Copyright (C) 2004 SimpleBoxes/SerendipityNZ Ltd. ==

# ======================================
package sb::Data::Config;
use strict;
use sb::Data::Object ();
use base qw( sb::Data::Object );
use vars qw( $VERSION );
$VERSION = '0.02';
# 0.02 [2007/08/06] added wid into table
# 0.01 [2007/08/04] added initializer
# 0.00 [2007/07/13] created
# --------------------------------------
# // defines / static variables
# ... nothing ...
# --------------------------------------
# // override base class - table
sub table
{
	my $self = shift;
	return (
		'id'   => 'uni_id',   # id
		'wid'  => 'id',       # weblog id (reserved)
		'name' => 'str(255)', # field name
		'type' => 'str(255)', # value type
		'data' => 'str(255)', # normal value
		'text' => 'text',     # text type value
	);
}
# --------------------------------------
# // initializer
BEGIN
{
	__PACKAGE__->init_accessor();
}
sub default
{ # default settings
	my $self  = shift;
	my %param = @_;
	$self->SUPER::initialize(%param);
}
# --------------------------------------
# // public functions
sub value
{
	my $self = shift;
	my $value = ($self->type eq 'text') 
		? $self->text(@_) 
		: $self->data(@_);
	return int($value) if ($self->type eq 'int');
	return $value;
}
# --------------------------------------
# // private functions
1;
__END__
